/*
 *  RapidMiner PaREn Automatic System Construction Extension 
 *
 *  Copyright (C) 2009-2010 by Deutsches Forschungszentrum fuer
 *  Kuenstliche Intelligenz GmbH or its licensors, as applicable.
 *  
 *  This is free software: you can redistribute it and/or modify 
 *  it under the terms of the GNU Affero General Public License as published by 
 *  the Free Software Foundation, either version 3 of the License, or 
 *  (at your option) any later version. 
 *  
 *  You should have received a copy of the GNU Affero General Public License 
 *  along with this software. If not, see <http://www.gnu.org/licenses/. 
 */
package de.dfki.madm.mlwizard;


import java.awt.event.ActionEvent;

import com.rapidminer.gui.MainFrame;
import com.rapidminer.gui.tools.ResourceAction;

import de.dfki.madm.mlwizard.gui.AutomaticSystemConstructionWizard;

public class PluginInitMLWizard {
    
    public static void initPlugin() {
    }
    
    public static void initSplashTexts() {
    }
    
    public static void initGui(MainFrame mainFrame) {
    	mainFrame.getToolsMenu().add(new ResourceAction("classifier_recommender") {
			private static final long serialVersionUID = 5484204544748607684L;

			@Override
			public void actionPerformed(ActionEvent arg0) {
				new AutomaticSystemConstructionWizard("classifier_recommender_wizard").setVisible(true);
			}
		});
    }
    
    public static void initFinalChecks() {

    }

    public static void initPluginManager() {
        initRenderer();
    }
    
    public static void initRenderer() {

    }
}
